# H4609_RTCPMeasures_mediaSenderMeasures Class Reference

`#include <h4609.h>`

Collaboration diagram for H4609_RTCPMeasures_mediaSenderMeasures:

[legend]

## Public Types

| e_worstEstimatedEnd2EndDelay
| e_meanEstimatedEnd2EndDelay
enum | OptionalFields { e_worstEstimatedEnd2EndDelay, e_meanEstimatedEnd2EndDelay }

## Public Member Functions

| H4609_RTCPMeasures_mediaSenderMeasures (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Data Fields

H4609_EstimatedEnd2EndDelay | m_worstEstimatedEnd2EndDelay
H4609_EstimatedEnd2EndDelay | m_meanEstimatedEnd2EndDelay

## Member Enumeration Documentation

enum H4609_RTCPMeasures_mediaSenderMeasures::OptionalFields

Enumerator:

  e_worstEstimatedEnd2EndDelay |
  e_meanEstimatedEnd2EndDelay |

## Constructor & Destructor Documentation

H4609_RTCPMeasures_mediaSenderMeasures::H4609_RTCPMeasures_mediaSenderMeasures | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* H4609_RTCPMeasures_mediaSenderMeasures::Clone | ( |  | ) | const

Comparison H4609_RTCPMeasures_mediaSenderMeasures::Compare | ( | const PObject & | obj | ) | const

PBoolean H4609_RTCPMeasures_mediaSenderMeasures::Decode | ( | PASN_Stream & | strm | ) |

void H4609_RTCPMeasures_mediaSenderMeasures::Encode | ( | PASN_Stream & | strm | ) | const

PINDEX H4609_RTCPMeasures_mediaSenderMeasures::GetDataLength | ( |  | ) | const

void H4609_RTCPMeasures_mediaSenderMeasures::PrintOn | ( | ostream & | strm | ) | const

## Field Documentation

H4609_EstimatedEnd2EndDelay H4609_RTCPMeasures_mediaSenderMeasures::m_meanEstimatedEnd2EndDelay

H4609_EstimatedEnd2EndDelay H4609_RTCPMeasures_mediaSenderMeasures::m_worstEstimatedEnd2EndDelay

The documentation for this class was generated from the following file:

- h4609.h